Subject: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: martin rudalics <[email-masked]>
Date: Mon, 31 Aug 2015 11:20:04 +0200

>> But I have no idea why this particular call
 >> of do_pending_window_change would run ‘window-configuration-change-hook’
 >> and subsequently cause the havoc you describe.  The last
 >> change_frame_size should have just happened three lines before.
 >
 > But that had delay == true, so change_frame_size_1 never called
 > adjust_frame_size, right?

Indeed.  I removed the do_pending_window_change calls now.  I don't
recall why I thought that I needed them, maybe to get those border
clearing calls in synch with the resizing of the root window.  In any
case, judging from my ChangeLog entries, I must have had some sort of
premonition that this was a bad idea.

martin